Package org.apache.sling.feature.cpconverter.handlers

## Interface EntryHandler

All Known Implementing Classes:
  `AbstractContentPackageHandler`, `BundleEntryHandler`, `ConfigurationEntryHandler`, `ContentPackageEntryHandler`, `DefaultHandler`, `GroupEntryHandler`, `IndexDefinitionsEntryHandler`, `JsonConfigurationEntryHandler`, `NodeTypesEntryHandler`, `PrivilegesHandler`, `PropertiesConfigurationEntryHandler`, `RepPolicyEntryHandler`, `RepPrincipalPolicyEntryHandler`, `RepRepoPolicyEntryHandler`, `SlingInitialContentBundleHandler`, `UsersEntryHandler`, `VersionResolverContentPackageEntryHandler`, `XmlConfigurationEntryHandler`

    public interface EntryHandler

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `handle​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry, @NotNull ContentPackage2FeatureModelConverter converter)`
`void` `handle​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry, @NotNull ContentPackage2FeatureModelConverter converter, String runMode)`
`boolean` `matches​(@NotNull String path)`
`default EntryHandler` `withConfig​(@NotNull String config)`

### Method Detail

#### matches

    boolean matches​(@NotNull
                    @NotNull String path)

#### handle

    default void handle​(@NotNull
                        @NotNull String path,
                        @NotNull
                        @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                        @NotNull
                        @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry,
                        @NotNull
                        @NotNull ContentPackage2FeatureModelConverter converter)
                 throws IOException,
                        ConverterException

Throws:
  `IOException`
  `ConverterException`

#### handle

    void handle​(@NotNull
                @NotNull String path,
                @NotNull
                @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                @NotNull
                @NotNull org.apache.jackrabbit.vault.fs.io.Archive.Entry entry,
                @NotNull
                @NotNull ContentPackage2FeatureModelConverter converter,
                String runMode)
         throws IOException,
                ConverterException

Throws:
  `IOException`
  `ConverterException`

#### withConfig

    default EntryHandler withConfig​(@NotNull
                                    @NotNull String config)